1. #1
    Sencha User
    Join Date
    Feb 2011
    Location
    Düsseldorf, Germany
    Posts
    587
    Vote Rating
    32
    Answers
    35
    Kurt001 has a spectacular aura about Kurt001 has a spectacular aura about

      0  

    Default Answered: PhoneGap.build error on 'sencha app build native'

    Answered: PhoneGap.build error on 'sencha app build native'


    Running 'sencha app build native' for PhoneGap build plugin for the first time all went well.

    Without any changes I reran it and the following error pops up:

    PHP Code:
    [INF] [shellscript]     at Object.<anonymous> (C:\Users\Kurt001\AppData\Roaming\npm\node_modules\phonegap\bin\phonegap.j
    s
    :24:21)
    [
    INF] [shellscript]     at Module._compile (module.js:456:26)
    [
    INF] [shellscript]     at Object.Module._extensions..js (module.js:474:10)
    [
    INF] [shellscript]     at Module.load (module.js:356:32)
    [
    INF] [shellscript]     at Function.Module._load (module.js:312:12)
    [
    ERRThe following error occurred while executing this line:
    D:\appdir\myapp\.sencha\app\build-impl.xml:414The following error occurred while executing th
    is line
    :
    D:\appdir\myapp\.sencha\app\phonegap-impl.xml:84The following error occurred while executing
    this line
    :
    D:\appdir\myapp\.sencha\app\phonegap-impl.xml:124The following error occurred while executing
     this line
    :
    jar:file:/C:/Dev/Sencha/Cmd/4.0.0.203/sencha.jar!/com/sencha/ant/antlib.xml:584shellscript returned
    I am getting the same error over and over again. Already deleted old builds.

    Any idea, what is going wrong?
    • Kurt001
    Code Review | Send PM


    Need to include a test case use:
    https://fiddle.sencha.com/#home

  2. I got it solved.
    Inside phonegap.local.properties I had:

    Code:
    phonegap.platform=android,ios
    Now I just have one item in there and set the list of supported platforms inside config.xml

  3. #2
    Sencha Premium Member
    Join Date
    Sep 2012
    Location
    Israel
    Posts
    115
    Vote Rating
    1
    Answers
    3
    sagoig is on a distinguished road

      0  

    Default


    looks like what I had.. did you install all the necessary npm packages?

  4. #3
    Sencha User
    Join Date
    Feb 2011
    Location
    Düsseldorf, Germany
    Posts
    587
    Vote Rating
    32
    Answers
    35
    Kurt001 has a spectacular aura about Kurt001 has a spectacular aura about

      0  

    Default


    I got it solved.
    Inside phonegap.local.properties I had:

    Code:
    phonegap.platform=android,ios
    Now I just have one item in there and set the list of supported platforms inside config.xml
    • Kurt001
    Code Review | Send PM


    Need to include a test case use:
    https://fiddle.sencha.com/#home

Thread Participants: 1

Tags for this Thread